
CREATE TABLE GRLWTCST (
       ATCST_EMPRESA         CHAR(2)   NOT NULL,
       ATCST_UNIDADE         CHAR(8)   NOT NULL,
       ATCST_CLASS_FISCAL    CHAR(15)  NOT NULL,
       ATCST_COD_FISCAL      CHAR(4)   NOT NULL,
       ATCST_PDIF            DEC(7,4)  NOT NULL,
       ATCST_IBPT            DEC(5,2)  NOT NULL,
       ATCST_COD_PIS         CHAR(2)   NOT NULL,
       ATCST_COD_COF         CHAR(2)   NOT NULL,
       ATCST_COD_IPI         CHAR(2)   NOT NULL,
       ATCST_COD_TRIB        CHAR(2)   NOT NULL,
       ATCST_COD_CSOSN       CHAR(3)   NOT NULL,
       ATCST_CENQ            CHAR(3)   NOT NULL,
       ATCST_INF_ADIC        CHAR(8)   NOT NULL,
       ATCST_MOTDESICMS      CHAR(2)   NOT NULL,
       ATCST_MOTDESST        CHAR(2)   NOT NULL,
       ATCST_COD_AJ_IPI      CHAR(3)   NOT NULL,
       ATCST_IND_DOC_IPI     CHAR(1)   NOT NULL,
       ATCST_PERC_SUBT       DEC(9,7)  NOT NULL,
       ATCST_LUCRO_SUBT      DEC(10,7) NOT NULL,
       ATCST_TIPO_TOPICO     CHAR(1)   NOT NULL,
       ATCST_TOPICO          CHAR(3)   NOT NULL );

INSERT INTO GRLWTCST SELECT ATCST_EMPRESA,ATCST_UNIDADE,ATCST_CLASS_FISCAL,
ATCST_COD_FISCAL,100,ATCST_IBPT,ATCST_COD_PIS,ATCST_COD_COF,ATCST_COD_IPI,
ATCST_COD_TRIB,ATCST_COD_CSOSN,ATCST_CENQ,ATCST_INF_ADIC,ATCST_MOTDESICMS,
'00','   ',' ',ATCST_PERC_SUBT,ATCST_LUCRO_SUBT,ATCST_TIPO_TOPICO,
ATCST_TOPICO FROM GRLATCST;

DROP TABLE GRLATCST;

CREATE TABLE GRLATCST (
       ATCST_EMPRESA         CHAR(2)   NOT NULL,
       ATCST_UNIDADE         CHAR(8)   NOT NULL,
       ATCST_CLASS_FISCAL    CHAR(15)  NOT NULL,
       ATCST_COD_FISCAL      CHAR(4)   NOT NULL,
       ATCST_PDIF            DEC(7,4)  NOT NULL,
       ATCST_IBPT            DEC(5,2)  NOT NULL,
       ATCST_COD_PIS         CHAR(2)   NOT NULL,
       ATCST_COD_COF         CHAR(2)   NOT NULL,
       ATCST_COD_IPI         CHAR(2)   NOT NULL,
       ATCST_COD_TRIB        CHAR(2)   NOT NULL,
       ATCST_COD_CSOSN       CHAR(3)   NOT NULL,
       ATCST_CENQ            CHAR(3)   NOT NULL,
       ATCST_INF_ADIC        CHAR(8)   NOT NULL,
       ATCST_MOTDESICMS      CHAR(2)   NOT NULL,
       ATCST_MOTDESST        CHAR(2)   NOT NULL,
       ATCST_COD_AJ_IPI      CHAR(3)   NOT NULL,
       ATCST_IND_DOC_IPI     CHAR(1)   NOT NULL,
       ATCST_PERC_SUBT       DEC(9,7)  NOT NULL,
       ATCST_LUCRO_SUBT      DEC(10,7) NOT NULL,
       ATCST_TIPO_TOPICO     CHAR(1)   NOT NULL,
       ATCST_TOPICO          CHAR(3)   NOT NULL );

INSERT INTO GRLATCST SELECT * FROM GRLWTCST;

CREATE UNIQUE INDEX GRL1TCST ON GRLATCST ( ATCST_EMPRESA,
                                           ATCST_UNIDADE,
                                           ATCST_CLASS_FISCAL,
                                           ATCST_COD_FISCAL );
CREATE        INDEX GRL2TCST ON GRLATCST ( ATCST_EMPRESA,
                                           ATCST_UNIDADE,
                                           ATCST_CLASS_FISCAL );
CREATE        INDEX GRL3TCST ON GRLATCST ( ATCST_EMPRESA,
                                           ATCST_UNIDADE,
                                           ATCST_COD_FISCAL );
CREATE        INDEX GRL4TCST ON GRLATCST ( ATCST_COD_PIS );
CREATE        INDEX GRL5TCST ON GRLATCST ( ATCST_COD_COF );
CREATE        INDEX GRL6TCST ON GRLATCST ( ATCST_COD_IPI );
CREATE        INDEX GRL7TCST ON GRLATCST ( ATCST_COD_TRIB );
CREATE        INDEX GRL8TCST ON GRLATCST ( ATCST_TIPO_TOPICO,
                                           ATCST_TOPICO );
CREATE        INDEX GRL9TCST ON GRLATCST ( ATCST_COD_CSOSN );
CREATE        INDEX GRL10TCST ON GRLATCST ( ATCST_CENQ );
CREATE        INDEX GRL11TCST ON GRLATCST ( ATCST_INF_ADIC );
CREATE        INDEX GRL12TCST ON GRLATCST ( ATCST_MOTDESICMS );
CREATE        INDEX GRL13TCST ON GRLATCST ( ATCST_MOTDESST );
CREATE        INDEX GRL14TCST ON GRLATCST ( ATCST_COD_AJ_IPI );

GRANT ALL ON GRLATCST TO BYTEC;

DROP TABLE GRLWTCST;

COMMIT;

CREATE VIEW DELVCAIP (
            COD_AJ_IPI,
            COD_REG_TABELA,
            NRO_REG_TABELA )
  AS SELECT ATCST_COD_AJ_IPI,'TCST',COUNT(*)
            FROM GRLATCST
            GROUP BY ATCST_COD_AJ_IPI;

GRANT ALL ON DELVCAIP TO BYTEC;

COMMIT;

